Bug 501683 - [ml_IN][GSUB] U+0D[1-3][5-E] U+0D4D U+0D33 font shape has error
[ml_IN][GSUB] U+0D[1-3][5-E] U+0D4D U+0D33 font shape has error
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: pango (Show other bugs)
10
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Parag Nemade
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-20 06:01 EDT by koka xiong
Modified: 2009-09-24 01:34 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-24 01:34:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
correct and error font (26.78 KB, application/vnd.oasis.opendocument.text)
2009-05-20 06:15 EDT, koka xiong
no flags Details

  None (edit)
Description koka xiong 2009-05-20 06:01:09 EDT
Description of problem:
In gedit input U+0D15 U+0D4D U+0D33 with RAW CODE,the font
shape is not correct.

Version-Release number of selected component (if applicable):
pango-devel-1.22.1-1.fc10.i386
pango-1.22.1-1.fc10.i386
pangomm-2.14.0-2.fc10.i386

How reproducible:
always

Steps to Reproduce:
1.In gedit input U+0D15 U+0D4D U+0D33 with RAW CODE,it shows ക്ള

Actual results:
The font shape is not correct.

Expected result:
The font shape should be correct.

Additional info: 
U+0D15 U+0D4D U+0D33 
U+0D17 U+0D4D U+0D33 
U+0D2A U+0D4D U+0D33 
U+0D2B U+0D4D U+0D33 
U+0D2C U+0D4D U+0D33 
U+0D2E U+0D4D U+0D33 
U+0D36 U+0D4D U+0D33 
U+0D38 U+0D4D U+0D33 
U+0D39 U+0D4D U+0D33 
all have errors
I will attach an attachment for error font and correct font.
Comment 1 koka xiong 2009-05-20 06:15:53 EDT
Created attachment 344773 [details]
correct and error font
Comment 2 Parag Nemade 2009-09-04 05:44:26 EDT
Ani,
  Can you please check above attachment and give your feedback? We need to know is there any of above combinations rendering wrongly.
Comment 3 Ani Peter 2009-09-04 06:57:20 EDT
Parag,
Please note that all 9 combinations in the attached document has correct rendering, but the images are shown wrong. 
Thanks
Ani
Comment 4 sandeep shedmake 2009-09-20 06:51:52 EDT
From Comment #1,

The character classes for the aforementioned characters (forming respective cluster/combination) are defined correctly in pango-1.22.1-1.fc10.i386.

Thereby, it is the incorrectly defined GSUB rules within the font, leading to formation of wrong glyphs/shapes.

I doubt, this bug really qualifies as a pango bug ?

Note You need to log in before you can comment on or make changes to this bug.